import request from '@/utils/request'


// 确认VESSEL完成确认清单
export function handleConfirmVessel(data) {
  return request({
    url: '/pssr/vessel/confirmVessel',
    method: 'put',
    data: data
  })
}

// 驳回VESSEL完成确认清单
export function handleTurnDownVessel(data) {
  return request({
    url: '/pssr/vessel/turnDownVessel',
    method: 'put',
    data: data
  })
}

// 查询管道列表
export function syncVessel(query) {
  return request({
    url: '/pssr/vessel/syncVessel',
    method: 'get',
    params: query
  })
}

// 修改管道
export function updateVesselBatch(data) {
  return request({
    url: '/pssr/vessel/editBatch',
    method: 'put',
    data: data
  })
}

//
export function updateVesselBatchBatch(data) {
  return request({
    url: '/pssr/vessel/editBatch/editBatch',
    method: 'put',
    data: data
  })
}


// 查询压力容器列表
export function listVessel(query) {
  return request({
    url: '/pssr/vessel/list',
    method: 'get',
    params: query
  })
}

// 查询压力容器详细
export function getVessel(id) {
  return request({
    url: '/pssr/vessel/' + id,
    method: 'get'
  })
}

// 新增压力容器
export function addVessel(data) {
  return request({
    url: '/pssr/vessel',
    method: 'post',
    data: data
  })
}

// 修改压力容器
export function updateVessel(data) {
  return request({
    url: '/pssr/vessel',
    method: 'put',
    data: data
  })
}


// 删除压力容器
export function delVessel(id) {
  return request({
    url: '/pssr/vessel/' + id,
    method: 'delete'
  })
}

// 导出压力容器
export function exportVessel(query) {
  return request({
    url: '/pssr/vessel/export',
    method: 'get',
    params: query
  })
}
